libstdc++-libc6.2-2.so.3的问题 仍未解决

为当前最终发行版之前的所有版本提供支持
回复
jacky1011
帖子: 21
注册时间: 2006-10-23 21:46
送出感谢: 0
接收感谢: 0

libstdc++-libc6.2-2.so.3的问题 仍未解决

#1

帖子 jacky1011 » 2006-10-24 11:57

才前天才装好的ubuntu,设置好ip后可以上校园网,本想用新立得更新的,但学校要上外网必须安装一个客户端,可下载客户端运行出错,提示缺少libstdc++-libc6.2-2.so.3库,在论坛里面找了几个方案,可没有一个方案可以解决。

方案一:tangzg兄提出的,操作如下:
$ sudo apt-get install libstdc++2.10-glibc2.2 //已经建立了链接。
如果没有,最多自己链接一下。
$ cd /usr/lib/
$ ln -s libstdc++-3-libc6.2-2-2.10.0.so libstdc++-libc6.2-2.so.3
$ ll libstdc++-libc* lrwxrwxrwx 1 root root 31 2005-12-12 00:40 libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so
我的操作:前面几行代码运行正常,可最后一句ll libstdc++..........运行出错, 提示没有ll 这条命令

方案二:取自坛子里的 “华为802.1x认证上网实录-10.2更新”
楼主说如果缺少库文件可以使用5楼兄弟提供的deb包,再sudo dpkg -i 安装,可我找到5楼却根本没有什么下载
只能按楼主的另一方法去http://rpmfind.net/ 搜libstdc++-libc6.2-2.so.3,下载之后再发现RPM无法在ubuntu里面使用,要用alien命令转换,却发现alien这个工具默认没有安装,于是运行安装
$sudo apt-get install alien
提示错误:没有找到包,晕倒,后面到论坛,wiki里面找了一天都没有找到怎么解决
实在是对ubuntu失望了 希望哪位高手帮我重拾信心
谢谢!!!
jacky1011
帖子: 21
注册时间: 2006-10-23 21:46
送出感谢: 0
接收感谢: 0

#2

帖子 jacky1011 » 2006-10-24 20:30

怎么没有高手帮忙啊 :( :(
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-10-24 23:35

$● as alien
p alien - install non-native packages with dpkg
源有。你的源设置不对吧

libstdc++版本不对,可以找个相近的版本的。然后ln -s过去试试。
● 鸣学
jacky1011
帖子: 21
注册时间: 2006-10-23 21:46
送出感谢: 0
接收感谢: 0

#4

帖子 jacky1011 » 2006-10-25 19:28

我是初学者 上面的大哥 可以具体给出代码吗? 拜托了
straydream
帖子: 6
注册时间: 2006-10-29 19:40
送出感谢: 0
接收感谢: 0

#5

帖子 straydream » 2006-11-02 15:39

事实上楼主的方案一是可行的,,我也碰到了这个问,用楼主的方案一解决了,,,

$ ll libstdc++-libc* lrwxrwxrwx 1 root root 31 2005-12-12 00:40 libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so
我的操作:前面几行代码运行正常,可最后一句ll libstdc++..........运行出错, 提示没有ll 这条命令

ll 是ls命令的一个假名其实就是ls -lt ubuntu里没有建这个默认的假名,,你用ls -l 就可以了
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 SuperWar3Fan » 2006-11-02 17:02

sudo apt-get install build-essentials
changkongyan
帖子: 33
注册时间: 2006-11-12 8:36
送出感谢: 0
接收感谢: 0

#7

帖子 changkongyan » 2007-04-02 15:15

各位能不能把这两个包上传啊,谢谢,急求
菜鸟不会飞
帖子: 35
注册时间: 2010-10-06 9:40
送出感谢: 0
接收感谢: 0

Re: libstdc++-libc6.2-2.so.3的问题 仍未解决

#8

帖子 菜鸟不会飞 » 2010-12-02 11:38

是啊,纠结很多天了
daave
帖子: 2
注册时间: 2010-12-11 18:35
送出感谢: 0
接收感谢: 0

Re: libstdc++-libc6.2-2.so.3的问题 仍未解决

#9

帖子 daave » 2011-03-11 17:50

Reference: http://huang.yunsong.net/2008/libstdc-libc-ubuntu.html

Google libstdc++2.10-glibc2.2, first result:
http://packages.ubuntu.com/dapper/i386/ ... 2/download

$ sudo dpkg -i libstdc++2.10-glibc2.2_2.95.4-24_i386.deb
回复

回到 “老旧版本支持”